## visad.cluster
Class RemoteProxyAgentImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.cluster.RemoteProxyAgentImpl

All Implemented Interfaces:
  Remote, RemoteProxyAgent, Serializable

public class RemoteProxyAgentImpl
extends UnicastRemoteObject
implements RemoteProxyAgent

RemoteProxyAgentImpl is the class for agents on proxy clients

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteProxyAgentImpl(RemoteClientDataImpl r)`

Method Summary
`Serializable[]` `computeRanges(Vector message)`
`Serializable[]` `doTransform()`
`RemoteClientData` `getRemoteClientData()`
`Serializable[]` `prepareAction(boolean go, boolean initialize, DataShadow shadow, ConstantMap[] cms, ScalarMap[] ms, Control[] cos, String name, long time_out)`
`void` `setResolutions(int[] rs)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteProxyAgentImpl

    public RemoteProxyAgentImpl(RemoteClientDataImpl r)
                         throws RemoteException

Method Detail

### getRemoteClientData

    public RemoteClientData getRemoteClientData()
                                         throws RemoteException

  Specified by:
    `getRemoteClientData` in interface `RemoteProxyAgent`
  Throws:
    `RemoteException`

### setResolutions

    public void setResolutions(int[] rs)

  Specified by:
    `setResolutions` in interface `RemoteProxyAgent`

### prepareAction

    public Serializable[] prepareAction(boolean go,
                                        boolean initialize,
                                        DataShadow shadow,
                                        ConstantMap[] cms,
                                        ScalarMap[] ms,
                                        Control[] cos,
                                        String name,
                                        long time_out)
                                 throws VisADException,
                                        RemoteException

  Specified by:
    `prepareAction` in interface `RemoteProxyAgent`
  Throws:
    `VisADException`
    `RemoteException`

### doTransform

    public Serializable[] doTransform()
                               throws VisADException,
                                      RemoteException

  Specified by:
    `doTransform` in interface `RemoteProxyAgent`
  Throws:
    `VisADException`
    `RemoteException`

### computeRanges

    public Serializable[] computeRanges(Vector message)
                                 throws VisADException,
                                        RemoteException

  Specified by:
    `computeRanges` in interface `RemoteProxyAgent`
  Throws:
    `VisADException`
    `RemoteException`